> For the complete documentation index, see [llms.txt](https://docs.mediamelon.com/mediamelon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediamelon.com/mediamelon/smartsight-player-sdk-integration/web/plyr-player-web-with-mediamelon-analytics.md).

# Plyr Player Web with MediaMelon Analytics

### **Step 1: Add** the MediaMelon Player SDK <a href="#step-1-add-mediamelon-smartstreaming-sdk-hardbreak" id="step-1-add-mediamelon-smartstreaming-sdk-hardbreak"></a>

Include the following line to the web page at the start

```javascript
<script type="text/javascript" src="https://PATH_TO_SMARTSTREAMING_SDK"></script>
```

### **Step 2: Register and Initialize** the MediaMelon Player SDK <a href="#step-2-register-and-initialize-mediamelon-sdk" id="step-2-register-and-initialize-mediamelon-sdk"></a>

{% hint style="info" %}
\<customer\_id> is your MediaMelon-assigned Customer ID. If you do not know your Customer ID contact MediaMelon at <customer-support@mediamelon.com>
{% endhint %}

After the player instance has been created, create a new Plugin object, register, report player Info, and then initialize the plugin as shown below:

```html
<!DOCTYPE html>
<html lang="en">
  <body>
    <script src="https://cdn.plyr.io/3.7.8/plyr.js"></script>      
    <link rel="stylesheet" href="https://cdn.plyr.io/3.7.8/demo.css">
    <script src="./mmsmartstreaming_plyrjsplayer.min.js"></script>
    <div class="grid">
      <main>
        <div id="container">
          <video controls crossorigin playsinline id="player">            
            <source
              src="https://cdn.plyr.io/static/demo/View_From_A_Blue_Moon_Trailer-720p.mp4"
              type="video/mp4"
              size="720"
            />
          </video>
        </div>
      </main>
    </div>

    <script>
      var mmPlyrPlugin = new PlyrJSMMSSIntgr();

      const player = new Plyr('#player');
      
      var mmVideoAssetInfo = {
          "assetName": "ASSET_NAME11",
          "assetId": "ASSET_ID",
          "videoId": "VIDEO_ID",
          "contentType": "CONTENT_TYPE",
          "genre": "GENRE",
          "drmProtection": "DRM_PROTECTION",
          "episodeNumber": "EPISODE_NUMBER",
          "season": "SEASON",
          "seriesTitle": "SERIES_TITLE",
          "videoType": "VIDEO_TYPE",
          "customTags": {
            "key1": "VALUE_STRING1",
            "key2": "VALUE_STRING2"
          }
      };

      let isLive = false;
      let streamURL = "https://cdn.plyr.io/static/demo/View_From_A_Blue_Moon_Trailer-720p.mp4";
      if (mmPlyrPlugin.getRegistrationStatus() === false) {
        mmPlyrPlugin.registerMMSmartStreaming("PLAYER_NAME", "CUSTOMER_ID", "SUBSCRIBER_ID", "DOMAIN_NAME", "SUBSCRIBER_TYPE11", "SUBSCRIBER_TAG1234");
        mmPlyrPlugin.reportPlayerInfo("PLAYER_BRAND", "PLAYER_MODEL", 'PLAYER_VERSION');
        mmPlyrPlugin.reportAppInfo("APP_NAME", "APP_VERSION");
        mmPlyrPlugin.setDeviceInfo("DEVICE_MARKETING_NAME");
        mmPlyrPlugin.reportVideoQuality("VIDEO_QUALITY");
        mmPlyrPlugin.reportDeviceId("DEVICE_ID");

        mmPlyrPlugin.initialize(player, streamURL, mmVideoAssetInfo, isLive);        
      }
    </script>    
  </body>
</html>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mediamelon.com/mediamelon/smartsight-player-sdk-integration/web/plyr-player-web-with-mediamelon-analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
